Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] Can't launch startlxqt
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
pourpier
Apprentice
Apprentice


Joined: 27 Sep 2017
Posts: 150

PostPosted: Thu Dec 19, 2019 9:32 am    Post subject: [SOLVED] Can't launch startlxqt Reply with quote

I did a world update yesterday and the qt libraries changed to 5.13.2. Unfortunately I am unable to enter an LXQt session. I have lightdm as DM and when I try to log in it comes back to the login screen.
I use Gentoo LXQt in a VM with VirtualBox. When I do CTRL Right + F2 I get to a tty and after logging in I launch startlxqt and I get these messages:
qt.qpa.xcb: could not connect to display
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
Available platform plugins are: minimal, offscreen, wayland-egl, wayland, xcb.

I tried to rebuild libxcb but to no avail. I tried export QT_QPA_PLATFORM_PLUGIN_PATH=/usr/lib64/qt5/plugins/ But after a few seconds I get the same message as above.
When I type startx I get a TWM session with three instances of xterm.
So obviously I need to to find a way to initialize the plugin but I don't know how. I am not going to reinstall all the qt5 libraries.


Last edited by pourpier on Wed Jan 08, 2020 8:29 pm; edited 1 time in total
Back to top
View user's profile Send private message
mike155
Veteran
Veteran


Joined: 17 Sep 2010
Posts: 1956
Location: Frankfurt, Germany

PostPosted: Thu Dec 19, 2019 5:43 pm    Post subject: Reply with quote

Please post the output of:
  1. Code:
    emerge --info

  2. Code:
    ls -la /usr/lib64/qt5/plugins/platforms/

  3. Code:
    emerge -pv dev-qt/qtgui dev-qt/qtwidgets

Back to top
View user's profile Send private message
pourpier
Apprentice
Apprentice


Joined: 27 Sep 2017
Posts: 150

PostPosted: Thu Dec 19, 2019 6:06 pm    Post subject: Reply with quote

mike155 wrote:
Please post the output of:
  1. Code:
    emerge --info


    Here the link for it: http://dpaste.com/1NG074T

  2. Code:
    ls -la /usr/lib64/qt5/plugins/platforms/


    The link: http://dpaste.com/17V9NYE

  3. Code:
    emerge -pv dev-qt/qtgui dev-qt/qtwidgets


    The link: http://dpaste.com/111A8RF

Back to top
View user's profile Send private message
mike155
Veteran
Veteran


Joined: 17 Sep 2010
Posts: 1956
Location: Frankfurt, Germany

PostPosted: Thu Dec 19, 2019 11:00 pm    Post subject: Reply with quote

The data you posted looks good. USE flag 'xcb' is there.

Some packages have to be rebuilt after the update to Qt 13.2. Have all of them been rebuilt?

  1. Did you run
    Code:
    emerge --update --deep --newuse -with-bdpes=y -av @world

  2. Have you updated all Qt packages to 13.2? Look at the output of
    Code:
    qlist -Iv dev-qt/qt*

  3. Have you rebuilt or updated all lightdm and LXQt packages after Qt was updated to 13.2? If not: rebuild them.

One question: do I understand correctly that LXQt worked before the world update?
Back to top
View user's profile Send private message
pourpier
Apprentice
Apprentice


Joined: 27 Sep 2017
Posts: 150

PostPosted: Fri Dec 20, 2019 6:45 pm    Post subject: Reply with quote

mike155 wrote:
The data you posted looks good. USE flag 'xcb' is there.

Some packages have to be rebuilt after the update to Qt 13.2. Have all of them been rebuilt?

  1. Did you run
    Code:
    emerge --update --deep --newuse -with-bdpes=y -av @world

    Yes I did
  2. Have you updated all Qt packages to 13.2? Look at the output of
    Code:
    qlist -Iv dev-qt/qt*

    All the packages from the output of the qlist command have the version 5.13.2
  3. Have you rebuilt or updated all lightdm and LXQt packages after Qt was updated to 13.2? If not: rebuild them.
    Yes I did

One question: do I understand correctly that LXQt worked before the world update?

Yes LXQt worked fine before the update.

So what I did is the following: I created a .xinitrc file with exec openbox-session to be able to launch startx and use Openbox instead of TWM.
I saw that many applications depending on qt5 were broken: Clementine, VLC, SMPlayer and so on...
So I decided to unmerge all qt libraries from the version 5.13.2 and masked that version and did a world upgrade afterwards.
So I got the 5.12.5-r1 version of all qt libraries. When these were compiled, I recompiled VLC, Clementine, SMPlayer and others as well and I recompiled all lxqt packages.
Now i can laucnh LXQt from lightdm.
So someone must investigate why Qt 5.13.2 breaks everything
Back to top
View user's profile Send private message
xavier10
Guru
Guru


Joined: 19 Jan 2004
Posts: 450
Location: Paris, France

PostPosted: Sun Dec 22, 2019 9:00 pm    Post subject: Reply with quote

I am also observing that Qt programs get killed by SEGV after the same update (konsole, okular, filelight). These programs were working just fine prior to the update. I have no time to get to the bottom of this tonight, but will look more into this when I have the chance.
Back to top
View user's profile Send private message
Chiitoo
Administrator
Administrator


Joined: 28 Feb 2010
Posts: 1982
Location: Here and Away Again

PostPosted: Mon Dec 23, 2019 9:38 pm    Post subject: ><)))°€ Reply with quote

pourpier wrote:
When I do CTRL Right + F2 I get to a tty and after logging in I launch startlxqt and I get these messages:
qt.qpa.xcb: could not connect to display
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
Available platform plugins are: minimal, offscreen, wayland-egl, wayland, xcb.

This is what happens when running 'startlxqt' directly. It should be done via the '.xinitrc' and 'startx' instead.

I don't know about the issue with lightdm; no one reported issues like that before this, that I know of, but I'll see if I can find some time to test it out at some point.
_________________
Kind regards,
Chiitoo.

You might remember me from Gentoo projects such as Forums, LXQt, Qt, and Wine.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7428
Location: Austria

PostPosted: Tue Dec 24, 2019 11:03 am    Post subject: Reply with quote

Code:
# emerge --sync && emerge -uvaD @world
# equery l dev-qt/*

_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
pourpier
Apprentice
Apprentice


Joined: 27 Sep 2017
Posts: 150

PostPosted: Tue Dec 24, 2019 6:16 pm    Post subject: Reply with quote

asturm wrote:
Code:
# emerge --sync && emerge -uvaD @world
# equery l dev-qt/*


The output on the Xfce VM where I did the world update without doing the qt downgrade gives this:
Code:
[IP-] [  ] dev-qt/designer-5.13.2:5/5.13
[IP-] [  ] dev-qt/linguist-tools-5.13.2:5/5.13
[IP-] [  ] dev-qt/qtchooser-66:0
[IP-] [  ] dev-qt/qtconcurrent-5.13.2:5/5.13
[IP-] [  ] dev-qt/qtcore-5.13.2-r1:5/5.13
[IP-] [  ] dev-qt/qtdbus-5.13.2:5/5.13
[IP-] [  ] dev-qt/qtgui-5.13.2:5/5.13
[IP-] [  ] dev-qt/qtlockedfile-2.4.1_p20171024:0
[IP-] [  ] dev-qt/qtnetwork-5.13.2:5/5.13
[IP-] [  ] dev-qt/qtopengl-5.13.2:5/5.13
[IP-] [  ] dev-qt/qtprintsupport-5.13.2:5/5.13
[IP-] [  ] dev-qt/qtscript-5.13.2:5/5.13
[IP-] [  ] dev-qt/qtsingleapplication-2.6.1_p20171024:0
[IP-] [  ] dev-qt/qtsql-5.13.2:5/5.13.2
[IP-] [  ] dev-qt/qtsvg-5.13.2:5/5.13
[IP-] [  ] dev-qt/qttest-5.13.2:5/5.13
[IP-] [  ] dev-qt/qtwidgets-5.13.2:5/5.13
[IP-] [  ] dev-qt/qtx11extras-5.13.2:5/5.13
[IP-] [  ] dev-qt/qtxml-5.13.2:5/5.13

which is very similar to the output of qlist -Iv dev-qt/*
I am unable to provide you the build.log of dev-qt/qtcore on this VM. I will rebuild the qtcore to see what happens.
The only weird thing is all qt packages with a 5.13 version have 5.13.2 except qtcore which has the -r1
The output of clementine from the CLI after rebuilding qtcore and then clementine again is:
clementine
Code:
19:08:46.523 WARN  logging:60                       Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Erreur de segmentation


The output of vlc -vv is:
Code:
VLC media player 3.0.8 Vetinari (revision 3.0.8-0-gf350b6b5a7)
[0000560a174b7580] main libvlc debug: VLC media player - 3.0.8 Vetinari
[0000560a174b7580] main libvlc debug: Copyright © 1996-2019 the VideoLAN team
[0000560a174b7580] main libvlc debug: revision 3.0.8-0-gf350b6b5a7
[0000560a174b7580] main libvlc debug: configured with ./configure  '--prefix=/usr' '--build=x86_64-pc-linux-gnu' '--host=x86_64-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--disable-silent-rules' '--docdir=/usr/share/doc/vlc-3.0.8' '--htmldir=/usr/share/doc/vlc-3.0.8/html' '--with-sysroot=/' '--libdir=/usr/lib64' '--disable-aa' '--disable-dependency-tracking' '--disable-optimizations' '--disable-rpath' '--disable-update-check' '--enable-fast-install' '--enable-screen' '--enable-vcd' '--enable-vlc' '--enable-a52' '--enable-alsa' '--disable-altivec' '--disable-aom' '--disable-archive' '--disable-aribsub' '--disable-fribidi' '--disable-harfbuzz' '--disable-bluray' '--disable-libcddb' '--disable-chromaprint' '--disable-chromecast' '--disable-microdns' '--enable-mmx' '--enable-sse' '--disable-dav1d' '--enable-dbus' '--enable-kwallet' '--disable-dc1394' '--disable-debug' '--disable-directx' '--disable-d3d11va' '--disable-dxva2' '--enable-dca' '--enable-dvbpsi' '--enable-dvdnav' '--enable-dvdread' '--enable-sout' '--enable-vlm' '--disable-faad' '--disable-fdkaac' '--enable-avcodec' '--enable-avformat' '--enable-swscale' '--enable-flac' '--disable-fluidsynth' '--disable-fontconfig' '--enable-libgcrypt' '--disable-gme' '--disable-secret' '--disable-gst-decode' '--disable-dv1394' '--disable-jack' '--enable-jpeg' '--disable-kate' '--disable-libass' '--disable-caca' '--enable-notify' '--enable-samplerate' '--disable-libtar' '--disable-tiger' '--disable-linsys' '--disable-lirc' '--disable-live555' '--disable-lua' '--disable-osx-notifications' '--enable-mad' '--disable-matroska' '--disable-mod' '--enable-mpg123' '--enable-libmpeg2' '--disable-mtp' '--disable-mpc' '--enable-ncurses' '--disable-neon' '--enable-ogg' '--disable-omxil' '--disable-omxil-vout' '--disable-opencv' '--disable-optimize-memory' '--disable-opus' '--enable-png' '--disable-postproc' '--disable-projectm' '--enable-pulse' '--enable-qt' '--disable-freerdp' '--disable-run-as-root' '--disable-smbclient' '--disable-sdl-image' '--disable-sftp' '--disable-shout' '--disable-sid' '--disable-skins2' '--disable-soxr' '--disable-speex' '--disable-srt' '--enable-gnutls' '--enable-svg' '--enable-svgdec' '--disable-taglib' '--disable-theora' '--disable-tremor' '--disable-twolame' '--enable-udev' '--disable-upnp' '--disable-v4l2' '--disable-libva' '--disable-vdpau' '--disable-vnc' '--enable-vorbis' '--disable-vpx' '--disable-wayland' '--with-x' '--enable-xcb' '--enable-xvideo' '--enable-x264' '--enable-x26410b' '--disable-x265' '--enable-libxml2' '--disable-avahi' '--disable-zvbi' '--enable-telx' '--with-kde-solid=/usr/share/solid/actions' '--disable-asdcp' '--disable-coverage' '--disable-cprof' '--disable-crystalhd' '--disable-decklink' '--disable-gles2' '--disable-goom' '--disable-kai' '--disable-kva' '--disable-libplacebo' '--disable-macosx-qtkit' '--disable-maintainer-mode' '--disable-merge-ffmpeg' '--disable-mfx' '--disable-mmal' '--disable-opensles' '--disable-oss' '--disable-rpi-omxil' '--disable-schroedinger' '--disable-shine' '--disable-sndio' '--disable-spatialaudio' '--disable-vsxu' '--disable-wasapi' '--disable-wma-fixed' '--enable-freetype' '--with-default-font=/usr/share/fonts/dejavu//DejaVuSans.ttf' '--with-default-font-family=Sans' '--with-default-monospace-font=/usr/share/fonts/dejavu//DejaVuSansMono.ttf' '--with-default-monospace-font-family=Monospace' 'build_alias=x86_64-pc-linux-gnu' 'host_alias=x86_64-pc-linux-gnu' 'CFLAGS=-march=native -O2 -pipe' 'LDFLAGS=-Wl,-O1 -Wl,--as-needed -L/usr/lib64/sidplay/builders/' 'CXXFLAGS=-march=native -O2 -pipe -std=c++11' 'PKG_CONFIG_PATH=/usr/lib64/pkgconfig'
[0000560a174b7580] main libvlc debug: searching plug-in modules
[0000560a174b7580] main libvlc debug: loading plugins cache file /usr/lib64/vlc/plugins/plugins.dat
[0000560a174b7580] main libvlc debug: recursively browsing `/usr/lib64/vlc/plugins'
[0000560a174b7580] main libvlc debug: plug-ins loaded: 411 modules
[0000560a174b7580] main libvlc debug: opening config file (/home/pourpier/.config/vlc/vlcrc)
[0000560a174b78d0] main logger debug: looking for logger module matching "any": 3 candidates
[0000560a174b78d0] main logger debug: using logger module "console"
[0000560a174b7580] main libvlc debug: translation test: code is "fr"
[0000560a17539d30] main keystore debug: looking for keystore module matching "memory": 3 candidates
[0000560a17539d30] main keystore debug: using keystore module "memory"
[0000560a174b7580] main libvlc debug: CPU has capabilities MMX MMXEXT SSE SSE2 SSE3 SSSE3 SSE4.1 SSE4.2 AVX AVX2 FPU
[0000560a1753c180] main input debug: Creating an input for 'Médiathèque'
[0000560a1753c180] main input debug: Input is a meta file: disabling unneeded options
[0000560a1753c180] main input debug: using timeshift granularity of 50 MiB
[0000560a1753c180] main input debug: using default timeshift path
[0000560a1753c180] main input debug: `file/directory:///home/pourpier/.local/share/vlc/ml.xspf' gives access `file' demux `directory' path `/home/pourpier/.local/share/vlc/ml.xspf'
[0000560a1753a140] main input source debug: creating demux: access='file' demux='directory' location='/home/pourpier/.local/share/vlc/ml.xspf' file='/home/pourpier/.local/share/vlc/ml.xspf'
[0000560a17534de0] main demux debug: looking for access_demux module matching "file": 11 candidates
[0000560a17534de0] main demux debug: no access_demux modules matched
[0000560a1754d210] main stream debug: creating access: file:///home/pourpier/.local/share/vlc/ml.xspf
[0000560a1754d210] main stream debug:  (path: /home/pourpier/.local/share/vlc/ml.xspf)
[0000560a1754d210] main stream debug: looking for access module matching "file": 20 candidates
[0000560a1754d210] main stream debug: using access module "filesystem"
[0000560a1754e070] main stream debug: looking for stream_filter module matching "prefetch,cache_read": 25 candidates
[0000560a1754e070] cache_read stream debug: Using stream method for AStream*
[0000560a1754e070] cache_read stream debug: starting pre-buffering
[0000560a1754e070] cache_read stream debug: received first data after 0 ms
[0000560a1754e070] cache_read stream debug: pre-buffering done 296 bytes in 0s - 14453 KiB/s
[0000560a1754e070] main stream debug: using stream_filter module "cache_read"
[0000560a1754f020] main stream debug: looking for stream_filter module matching "any": 25 candidates
[0000560a1754f020] playlist stream debug: using XSPF playlist reader
[0000560a1754f020] main stream debug: using stream_filter module "playlist"
[0000560a1754f020] main stream debug: stream filter added to 0x560a1754e070
[0000560a17552940] main stream debug: looking for stream_filter module matching "any": 25 candidates
[0000560a17552940] main stream debug: no stream_filter modules matched
[0000560a1753eda0] main stream_directory debug: looking for stream_directory module matching "any": 0 candidates
[0000560a1753eda0] main stream_directory debug: no stream_directory modules
[0000560a1753a140] main input source debug: attachment of directory-extractor failed for file:///home/pourpier/.local/share/vlc/ml.xspf
[0000560a17552940] main stream debug: looking for stream_filter module matching "record": 25 candidates
[0000560a17552940] main stream debug: using stream_filter module "record"
[0000560a1753a140] main input source debug: creating demux: access='file' demux='directory' location='/home/pourpier/.local/share/vlc/ml.xspf' file='/home/pourpier/.local/share/vlc/ml.xspf'
[0000560a17534de0] main demux debug: looking for demux module matching "directory": 48 candidates
[0000560a17534de0] main demux debug: using demux module "directory"
[0000560a17539b40] main demux meta debug: looking for meta reader module matching "any": 0 candidates
[0000560a17539b40] main demux meta debug: no meta reader modules
[0000560a1753c180] main input debug: `file/directory:///home/pourpier/.local/share/vlc/ml.xspf' successfully opened
[0000560a175537c0] main xml reader debug: looking for xml reader module matching "any": 1 candidates
[0000560a175537c0] main xml reader debug: using xml reader module "xml"
[0000560a1753c180] main input debug: EOF reached
[0000560a17534de0] main demux debug: removing module "directory"
[0000560a17552940] main stream debug: removing module "record"
[0000560a1754f020] main stream debug: removing module "playlist"
[0000560a1754e070] main stream debug: removing module "cache_read"
[0000560a1754d210] main stream debug: removing module "filesystem"
[0000560a174c73e0] main playlist debug: creating audio output
[0000560a1755a8d0] main audio output debug: looking for audio output module matching "any": 5 candidates
[0000560a1755a8d0] vlcpulse audio output debug: using library version 13.0.0
[0000560a1755a8d0] vlcpulse audio output debug:  (compiled with version 12.2.0, protocol 32)
[0000560a1755a8d0] vlcpulse audio output debug: connected locally to /run/user/1000/pulse/native as client #10
[0000560a1755a8d0] vlcpulse audio output debug: using protocol 33, server protocol 33
[0000560a1755a8d0] pulse audio output debug: adding sink 0: alsa_output.pci-0000_00_05.0.analog-stereo (Audio interne Stéréo analogique)
[0000560a1755a8d0] main audio output debug: using audio output module "pulse"
[0000560a174c73e0] main playlist debug: keeping audio output
[0000560a1753e840] main interface debug: looking for interface module matching "dbus,none": 13 candidates
[0000560a1753e840] dbus interface debug: listening on dbus as: org.mpris.MediaPlayer2.vlc
[0000560a1753e840] main interface debug: using interface module "dbus"
[0000560a1757c380] main interface debug: looking for interface module matching "hotkeys,none": 13 candidates
[0000560a1757c380] main interface debug: using interface module "hotkeys"
[0000560a1757ce30] main interface debug: looking for interface module matching "globalhotkeys,none": 13 candidates
[0000560a1757ce30] main interface debug: using interface module "xcb_hotkeys"
[0000560a174b7580] main libvlc: Lancement de vlc avec l'interface par défaut. Utiliser « cvlc » pour démarrer VLC sans interface.
[0000560a1757dde0] main interface debug: looking for interface module matching "any": 13 candidates

(vlc:29506): dbind-WARNING **: 19:04:55.879: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Erreur de segmentation

Unfortunately at this moment I can't provide more information.

vlc -vvv gives the following error qt interface error cannot load extension modules. Launching cvlc <some video file> works.
I recompiled clementine with the debug USE but it didn't provide me any meaningful error except the same segmentation error.
texstudio also has a segmentation error

[Moderator edit: added [code] tags to preserve output layout. -Hu]
Back to top
View user's profile Send private message
pourpier
Apprentice
Apprentice


Joined: 27 Sep 2017
Posts: 150

PostPosted: Thu Dec 26, 2019 2:40 pm    Post subject: Reply with quote

asturm wrote:
Code:
# emerge --sync && emerge -uvaD @world
# equery l dev-qt/*


I unmerged all qt libraries did a sync and world update and got all the qt libraries back. This is what happened to qtcore:
Messages for package dev-qt/qtcore-5.13.2-r1:

Code:
 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at https://bugs.gentoo.org/ unless you report exactly
 * which two packages install the same file(s). See
 * https://wiki.gentoo.org/wiki/Knowledge_Base:Blockers for tips on how
 * to solve the problem. And once again, please do NOT file a bug report
 * unless you have completely understood the above message.
 *
 * Detected file collision(s):
 *
 *    /usr/include/qt5/Gentoo/gentoo-qconfig.h
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * None of the installed packages claim the file(s).
 *
 * Package 'dev-qt/qtcore-5.13.2-r1' merged despite file collisions. If
 * necessary, refer to your elog messages for the whole content of the
 * above message.
 * Generated gentoo-qconfig.h is empty

The only package coming from portageq owners / gentoo-qconfig.h or equery b gentoo-qconfig.h is qtcore-5.13.2-r1

Attached code tags to the application output to preserve formatting.Chiitoo
Back to top
View user's profile Send private message
pourpier
Apprentice
Apprentice


Joined: 27 Sep 2017
Posts: 150

PostPosted: Fri Dec 27, 2019 7:01 pm    Post subject: Re: ><)))°€ Reply with quote

Chiitoo wrote:
pourpier wrote:
When I do CTRL Right + F2 I get to a tty and after logging in I launch startlxqt and I get these messages:
qt.qpa.xcb: could not connect to display
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
Available platform plugins are: minimal, offscreen, wayland-egl, wayland, xcb.

This is what happens when running 'startlxqt' directly. It should be done via the '.xinitrc' and 'startx' instead.

I don't know about the issue with lightdm; no one reported issues like that before this, that I know of, but I'll see if I can find some time to test it out at some point.


I did a fresh install of Gentoo with TWM. I installed clementine with a fresh installation of Qt 5.13.2 and when I launch clementine I get a segmentation error.
On a VM with Openbox I downgraded the Qt libraries to 5.12.5-r1 and all my programs are working again like on the LXQt VM. Something is wrong in the 5.13.2 version for sure

PS: The solution is either to donwgrade to Qt 5.12.5 or upgrade VirtualBox to 5.2.32 or above or use another virtualization software like qemu for instance.
I did install Gentoo in a VM via qemu and I could launch applications depending on Qt with the version 5.13.2 (like Clementine, VLC, and so on ...) without any issue
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum